# Uses of Class
com.logicaldoc.core.document.Tag

Packages that use Tag
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.folder
Contains the definitions of `Folder` as well as other related objects

## Uses of Tag in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return types with arguments of type Tag
Modifier and Type
Method
Description
`Set<Tag>`
Document.`getTags()`
The set of tags for this document.
Methods in com.logicaldoc.core.document with parameters of type Tag
Modifier and Type
Method
Description
`int`
Tag.`compareTo(Tag o)`
Method parameters in com.logicaldoc.core.document with type arguments of type Tag
Modifier and Type
Method
Description
`void`
Document.`setTags(Set<Tag> tags)`

## Uses of Tag in com.logicaldoc.core.folder

Methods in com.logicaldoc.core.folder that return types with arguments of type Tag
Modifier and Type
Method
Description
`Set<Tag>`
Folder.`getTags()`
Method parameters in com.logicaldoc.core.folder with type arguments of type Tag
Modifier and Type
Method
Description
`void`
Folder.`setTags(Set<Tag> tags)`